name = input("Wie heißt Du? ")

print ("Hallo, " + name, "lass uns Galgenmännchen spielen!")
print("Die Striche stehen für jeweils für einen Buchstaben.")

wort = "test123"
versuche = ''
durchlauf = 10

while durchlauf > 0:         
    fehlversuche = 0             

    for char in wort:      
        if char in versuche:    
            print(char)    
        else:
            print("_")     
            fehlversuche += 1                

    if fehlversuche == 0:
        print(f"Gewonnen! Glückwunsch {name} das Wort war {wort}!")
        break

    versuch = input("Gib einen Buchstaben ein:") 

    versuche += versuch[0].lower()          

    if versuch not in wort:  
        durchlauf -= 1        
        print ("Falsch")
  
        print ("Du hast", + durchlauf, 'weitere Versuche') 
 
        if durchlauf == 0:           
            print("Verloren")



